# Copyright (c) 2007-2010 Herbert Graeber
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to herbert@links2linux.de

# norootforbuild

Name:          xmltv
Version:       0.5.63
Release:       2.3
Summary:       A set of utilities to manage your TV viewing
Summary(de):   Eine Gruppe von Programmen zum Verwalten von TV-Programmen
Group:         Productivity/Multimedia/Other
License:       GPL2+
URL:           http://xmltv.org
Source:        http://prdownloads.sourceforge.net/xmltv/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildArch:     noarch
Requires:      perl-base = %{perl_version}
Requires:      perl(Archive::Zip)
Requires:      perl-libwww-perl
Requires:      perl-IO-stringy
Requires:      perl(Compress::Zlib)
Requires:      perl(Unicode::String)
Requires:      perl(Term::ReadKey)
Requires:      perl(HTML::Tree)
Requires:      perl(HTML::Parser)
Requires:      perl(HTTP::Cache::Transparent)
Requires:      perl(Date::Manip)
Requires:      perl(SOAP::Lite)
Requires:      perl(XML::DOM)
Requires:      perl(XML::Twig)
Requires:      perl(XML::Parser)
Requires:      perl(XML::Writer)
Requires:      perl(XML::XSLT)
Requires:      perl(File::Path)
Requires:      perl(File::Basename)
Requires:      perl(LWP::Simple)
Requires:      perl(Getopt::Long)
Requires:      perl(Encode)
Requires:      perl(HTML::Entities)
Requires:      perl(XMLTV)
Requires:      perl(File::Slurp)

BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Tk)
BuildRequires: perl(Date::Manip)
BuildRequires: perl-libwww-perl
BuildRequires: perl-IO-stringy
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Unicode::String)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(HTML::Tree)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTTP::Cache::Transparent)
BuildRequires: perl(SOAP::Lite)
BuildRequires: perl(XML::DOM)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::Writer)
BuildRequires: perl(XML::XSLT)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Basename)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Encode)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Lingua::EN::Numbers::Ordinate)
BuildRequires: perl(Lingua::Preferred)
BuildRequires: perl(Term::ProgressBar)

%description
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

%description -l de
XMLTV ist eine Gruppe von Programmen zum Verwalten von TV-Programmen. Diese
arbeiten mit Listen , die im XML-Format gespeichert werden. Die Grundidee
ist es die Backends (Holen der Listen) von den Frontends (Anzeigen der Listen)
zu trennen.

%package -n perl-xmltv
Summary: Perl modules for managing your TV viewing
Summary(de):   Eine Gruppe von Programmen zum Verwalten von TV-Programmen
Group: Productivity/Multimedia/Other
Requires: perl-base = %{perl_version}
Requires: perl-XML-Twig
Requires: perl(Date::Manip)
Requires: perl(HTML::TreeBuilder)
Requires: perl(Tie::Handle)
Requires: perl(Term::ProgressBar)
Requires: perl(POSIX)
Requires: perl(Memoize)
Requires: perl(DB_File)

%description -n perl-xmltv
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%description -l de
XMLTV ist eine Gruppe von Programmen zum Verwalten von TV-Programmen. Diese
arbeiten mit Listen , die im XML-Format gespeichert werden. Die Grundidee
ist es die Backends (Holen der Listen) von den Frontends (Anzeigen der Listen)
zu trennen.

%package grabbers
Summary: Backends for xmltv
Summary(de): Backends für xmltv
Group: Productivity/Multimedia/Other
Requires: perl-base = %{perl_version}
Requires: perl-libwww-perl
Requires: perl-xmltv
Requires: perl-HTML-Tree
Requires: perl(Date::Manip)
Requires: perl(XML::LibXML)

%description grabbers
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the backends (grabbers) for xmltv.

%description -l de
XMLTV ist eine Gruppe von Programmen zum Verwalten von TV-Programmen. Diese
arbeiten mit Listen , die im XML-Format gespeichert werden. Die Grundidee
ist es die Backends (Holen der Listen) von den Frontends (Anzeigen der Listen)
zu trennen.

%prep
%setup -q

%build
yes | perl Makefile.PL PREFIX=/usr
make
tr -d '\015' <grab/fr/tv_grab_fr >grab/fr/tv_grab_fr.tmp
mv grab/fr/tv_grab_fr.tmp grab/fr/tv_grab_fr

%install
%perl_make_install
%perl_process_packlist
rm -f %{buildroot}/usr/lib/perl5/vendor_perl/%{perl_version}/*/auto/XMLTV/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING MANIFEST README
%{_bindir}/tv_*
%{_mandir}/man1/tv_*.1*
%exclude %{_bindir}/tv_grab_*
%exclude %{_mandir}/man1/tv_grab_*.1*

%files -n perl-xmltv
%defattr(-,root,root,-)
%{perl_vendorlib}/XMLTV.pm
%{perl_vendorlib}/XMLTV
%{perl_man3dir}/*

%files grabbers
%defattr(-,root,root,-)
%{_bindir}/tv_grab_*
%{_mandir}/man1/tv_grab_*.1*

%changelog
* Mon Feb  4 2013 hvogel@opensuse.org
- Update to version 0.5.63
* Tue Nov 23 2010 herbert@links2linux.de
- update to version 0.5.59 (not all grabbers activated!)
* Sun May  2 2010 herbert@links2linux.de
- update to version 0.5.57 (not all grabbers activated!)
  * New Grabbers:
  - tv_grab_in: India (experimental)
  - tv_grab_il: Israel
  - tv_grab_nl: Netherlands... old grabber reactivated, works fine
  - tv_grab_dk_dr: re-release of Danish grabber after re-write
  * Major updates:
  - tv_grab_uk_rt: many changes, upgrade strongly recommended
  - tv_grab_es_laguiatv: channel icons added
  - tv_grab_fr: major code cleanup with new features added
  * DTD Changes:
  - Add support for composer and editor credit roles
  - "review" element added
  - channel "transport-id" element added
  * Misc:
  - lots of fixes for POD syntax errors
  - lots of fixes for new versions (6.00+) of Date::Manip module and DST handling
* Thu Jan 21 2010 herbert@links2linux.de
- Enable tv_grab_se_swedb
* Wed Sep 23 2009 herbert@links2linux.de
- relax the requirement of HTTP::Cache::Transparent to version 0.7
  to build tv_grab_uk_rt
* Wed Sep  9 2009 herbert@links2linux.de
- update to version 0.5.56
* Mon Feb  9 2009 herbert@links2linux.de
- update to version 0.5.54
* Tue Sep 16 2008 herbert@links2linux.de
- update to version 0.5.53
- added some dependencies to perl modules to make more grabbers work
* Fri Nov  9 2007 herbert@links2linux.de
- update to version 0.5.50
- added doc files (license, readem, etc)
* Sat Jun  2 2007 herbert@links2linux.de
- Added some requirements for perl packages to enable mor grabbers
* Fri Mar  2 2007 herbert@links2linux.de
- Added a fix for de_tvtoday from CVS
* Sat Dec  2 2006 herbert@links2linux.de
- update to version 0.5.45
- do not build as noarch anymore
- remove patch for tv_grab_nl
* Wed Nov  1 2006 herbert@links2linux.de
- Correctly apply the previous patch
* Sun Oct 29 2006 herbert@links2linux.de
- Added a fix for tv_grab_nl
- grabbers need perl-HTML-Tree
* Wed Aug  9 2006 herbert@links2linux.de
- Update to version 0.5.44
* Sat Jan 28 2006 herbert@links2linux.de
- Update to version 0.5.42
- Added new patch for de_tvtoday
* Sat Nov 26 2005 herbert@links2linux.de
- Update to version 0.5.41
- Removed the patch for tv_grab_de_tvtoday
* Wed Nov  9 2005 herbert@links2linux.de
- Initial version (without tv_check, only some grabbers)
- Added a patch for tv_grab_de_tvtoday
